<meta charset="UTF-8">


<script>


var b = new Array(0, 1, 0, 0, 1, 0, 1, 1, 1, 0, 0, 1);
var indice = 0
var indiceAnterior = 0
var indiceFinal = 0
var cont = 0;
var contAnt = 0;
var contSup = 0
var quantZeros = 0
var aux = new Array();
var aux2 = new Array();

document.write(b + "<br>");

for (var i = 0; i < b.length; i++) {
	if (b[i] == 0) {
		aux.push(i);
	}
}
// Para simplificar o problema, eu substitui o 0 por 1 e contava, ai depois voltava ao normal (que é 0), pois fica uma sequencia linear de 1 
for (var i = 0; i < aux.length; i++) {
	b[aux[i]] = 1;
	for (var j = 0; j < b.length; j++) {
		if (b[j] == 1) {
			cont++;
		} else {
			cont = 0
		}
		if (cont > contAnt) {
			contAnt = cont
		}
	}
	aux2.push(contAnt);
	contAnt = 0
	cont = 0
	b[aux[i]] = 0
} 


var maiorNum = aux2[0]
var maiorIndice = aux[0]

for (var i = 0; i < aux.length; i++) {
	if (aux2[i] > maiorNum) {
		maiorNum = aux2[i]
		maiorIndice = aux[i]
	}
}
//Pois peguei só o índice do vetor, mas como o indice de um vetor começa com 0, vou ter que somar mais 1
document.write(maiorIndice + 1);

</script>